Package com.orchestranetworks.d3

# Class DeliveryMode

java.lang.Object
com.orchestranetworks.d3.DeliveryMode

public abstract class DeliveryMode extends Object
Defines the D3 delivery modes. For more information about delivery modes, see:

- Cluster delivery mode
- Federation delivery mode

Since:
  5.4.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DeliveryMode`
  `CLUSTER_MODE`
  Clustered delivery mode.
  `static final DeliveryMode`
  `FEDERATION_MODE`
  Federated delivery mode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getLabel(Locale aLocale)`
  Returns the label depending on the specified locale.
  `abstract boolean`
  `isCluster()`
  Returns `true` if in clustered delivery mode, otherwise returns `false`.
  `abstract boolean`
  `isFederation()`
  Returns `true` if in federated delivery mode, otherwise returns `false`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLUSTER_MODE

    public static final DeliveryMode CLUSTER_MODE
    Clustered delivery mode. This mode is adapted to integration into an application server cluster.

    Clusters have a strong requirement for transactional integrity. Since a client application can successively access several nodes during the same transaction, the nodes must deliver the same transactional state.

  - ### FEDERATION_MODE

    public static final DeliveryMode FEDERATION_MODE
    Federated delivery mode. This mode is adapted to a geographically distributed and/or heterogeneous architecture.

    In a federation, the transactional requirements can be relaxed. Updates of replica nodes are performed asynchronously and using replays.

- ## Method Details

  - ### getLabel

    public abstract String getLabel(Locale aLocale)
    Returns the label depending on the specified locale.

  - ### isCluster

    public abstract boolean isCluster()
    Returns `true` if in clustered delivery mode, otherwise returns `false`.

  - ### isFederation

    public abstract boolean isFederation()
    Returns `true` if in federated delivery mode, otherwise returns `false`.